# $Revision: 1.2 $, $Date: 2004/08/30 15:16:14 $

%define 	module	pyHnj

Summary:	pyHnj - a Python wrapper for libhnj library
Summary(pl):	pyHnj - pythonowy wrapper dla biblioteki libhnj
Name:		python-%{module}
Version:	0.6
Release:	2
License:	GPL v2
Group:		Libraries/Python
Source0:	http://hkn.eecs.berkeley.edu/~dyoo/python/pyHnj/%{module}-%{version}.tar.gz
# Source0-md5:	1e777539150c5b6a853dce3a10e64398
URL:		http://hkn.eecs.berkeley.edu/~dyoo/python/pyHnj/
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pyHnj is an extension wrapper for the libhnj hyphenation library.

%description -l pl
pyHnj jest pythonowym wrapperem do biblioteki libhnj.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

python setup.py install \
	--root=$RPM_BUILD_ROOT
	
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README.txt
%attr(755,root,root) %{py_sitedir}/*.so
%{_datadir}/pyHnj/hyphen.mashed

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyHnj.spec,v $
Revision 1.2  2004/08/30 15:16:14  troll
- removed BR: libhnj-devel
- missing file in %%files
- cosmetics

Revision 1.1  2004/08/28 09:58:54  zboczuch
- initial PLD release

